import com.j256.ormlite.dao.*;
import com.j256.ormlite.field.DataType;
import com.j256.ormlite.field.FieldType;
import com.j256.ormlite.stmt.*;
import com.j256.ormlite.support.ConnectionSource;
import com.j256.ormlite.support.DatabaseConnection;
import com.j256.ormlite.support.DatabaseResults;
import com.j256.ormlite.table.ObjectFactory;

import java.sql.SQLException;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.concurrent.Callable;

public class MockDao implements Dao<Account, Integer> {
    Account account = new Account("Bob", "password");

    @Override
    public int create(Account account) throws SQLException {
        return 100;
    }

    @Override
    public int delete(Account account) throws SQLException {
        return 200;
    }

    @Override
    public int update(Account account) throws SQLException {
        return 300;
    }

    @Override
    public Account queryForId(Integer integer) throws SQLException {
        return account;
    }

    @Override
    public Account queryForFirst(PreparedQuery<Account> preparedQuery) throws SQLException {
        return null;
    }

    @Override
    public List<Account> queryForAll() throws SQLException {
        return null;
    }

    @Override
    public List<Account> queryForEq(String s, Object o) throws SQLException {
        return null;
    }

    @Override
    public List<Account> queryForMatching(Account account) throws SQLException {
        return null;
    }

    @Override
    public List<Account> queryForMatchingArgs(Account account) throws SQLException {
        return null;
    }

    @Override
    public List<Account> queryForFieldValues(Map<String, Object> map) throws SQLException {
        return null;
    }

    @Override
    public List<Account> queryForFieldValuesArgs(Map<String, Object> map) throws SQLException {
        return null;
    }

    @Override
    public Account queryForSameId(Account account) throws SQLException {
        return null;
    }

    @Override
    public QueryBuilder<Account, Integer> queryBuilder() {
        return null;
    }

    @Override
    public UpdateBuilder<Account, Integer> updateBuilder() {
        return null;
    }

    @Override
    public DeleteBuilder<Account, Integer> deleteBuilder() {
        return null;
    }

    @Override
    public List<Account> query(PreparedQuery<Account> preparedQuery) throws SQLException {
        return null;
    }



    @Override
    public Account createIfNotExists(Account account) throws SQLException {
        return null;
    }

    @Override
    public CreateOrUpdateStatus createOrUpdate(Account account) throws SQLException {
        return null;
    }



    @Override
    public int updateId(Account account, Integer integer) throws SQLException {
        return 0;
    }

    @Override
    public int update(PreparedUpdate<Account> preparedUpdate) throws SQLException {
        return 0;
    }

    @Override
    public int refresh(Account account) throws SQLException {
        return 0;
    }

    @Override
    public int deleteById(Integer integer) throws SQLException {
        return 0;
    }

    @Override
    public int delete(Collection<Account> collection) throws SQLException {
        return 0;
    }

    @Override
    public int deleteIds(Collection<Integer> collection) throws SQLException {
        return 0;
    }

    @Override
    public int delete(PreparedDelete<Account> preparedDelete) throws SQLException {
        return 0;
    }

    @Override
    public CloseableIterator<Account> iterator() {
        return null;
    }

    @Override
    public CloseableIterator<Account> iterator(int i) {
        return null;
    }

    @Override
    public CloseableIterator<Account> iterator(PreparedQuery<Account> preparedQuery) throws SQLException {
        return null;
    }

    @Override
    public CloseableIterator<Account> iterator(PreparedQuery<Account> preparedQuery, int i) throws SQLException {
        return null;
    }

    @Override
    public CloseableWrappedIterable<Account> getWrappedIterable() {
        return null;
    }

    @Override
    public CloseableWrappedIterable<Account> getWrappedIterable(PreparedQuery<Account> preparedQuery) {
        return null;
    }

    @Override
    public void closeLastIterator() throws SQLException {

    }

    @Override
    public GenericRawResults<String[]> queryRaw(String s, String... strings) throws SQLException {
        return null;
    }

    @Override
    public <UO> GenericRawResults<UO> queryRaw(String s, RawRowMapper<UO> rawRowMapper, String... strings) throws SQLException {
        return null;
    }

    @Override
    public <UO> GenericRawResults<UO> queryRaw(String s, DataType[] dataTypes, RawRowObjectMapper<UO> rawRowObjectMapper, String... strings) throws SQLException {
        return null;
    }

    @Override
    public GenericRawResults<Object[]> queryRaw(String s, DataType[] dataTypes, String... strings) throws SQLException {
        return null;
    }

    @Override
    public long queryRawValue(String s, String... strings) throws SQLException {
        return 0;
    }

    @Override
    public int executeRaw(String s, String... strings) throws SQLException {
        return 0;
    }

    @Override
    public int executeRawNoArgs(String s) throws SQLException {
        return 0;
    }

    @Override
    public int updateRaw(String s, String... strings) throws SQLException {
        return 0;
    }

    @Override
    public <CT> CT callBatchTasks(Callable<CT> callable) throws Exception {
        return null;
    }

    @Override
    public String objectToString(Account account) {
        return null;
    }

    @Override
    public boolean objectsEqual(Account account, Account t1) throws SQLException {
        return false;
    }

    @Override
    public Integer extractId(Account account) throws SQLException {
        return null;
    }

    @Override
    public Class<Account> getDataClass() {
        return null;
    }

    @Override
    public FieldType findForeignFieldType(Class<?> aClass) {
        return null;
    }

    @Override
    public boolean isUpdatable() {
        return false;
    }

    @Override
    public boolean isTableExists() throws SQLException {
        return false;
    }

    @Override
    public long countOf() throws SQLException {
        return 0;
    }

    @Override
    public long countOf(PreparedQuery<Account> preparedQuery) throws SQLException {
        return 0;
    }

    @Override
    public void assignEmptyForeignCollection(Account account, String s) throws SQLException {

    }

    @Override
    public <FT> ForeignCollection<FT> getEmptyForeignCollection(String s) throws SQLException {
        return null;
    }

    @Override
    public void setObjectCache(boolean b) throws SQLException {

    }

    @Override
    public void setObjectCache(ObjectCache objectCache) throws SQLException {

    }

    @Override
    public ObjectCache getObjectCache() {
        return null;
    }

    @Override
    public void clearObjectCache() {

    }

    @Override
    public Account mapSelectStarRow(DatabaseResults databaseResults) throws SQLException {
        return null;
    }

    @Override
    public GenericRowMapper<Account> getSelectStarRowMapper() throws SQLException {
        return null;
    }

    @Override
    public RawRowMapper<Account> getRawRowMapper() {
        return null;
    }

    @Override
    public boolean idExists(Integer integer) throws SQLException {
        return false;
    }

    @Override
    public DatabaseConnection startThreadConnection() throws SQLException {
        return null;
    }

    @Override
    public void endThreadConnection(DatabaseConnection databaseConnection) throws SQLException {

    }

    @Override
    public void setAutoCommit(boolean b) throws SQLException {

    }

    @Override
    public void setAutoCommit(DatabaseConnection databaseConnection, boolean b) throws SQLException {

    }

    @Override
    public boolean isAutoCommit() throws SQLException {
        return false;
    }

    @Override
    public boolean isAutoCommit(DatabaseConnection databaseConnection) throws SQLException {
        return false;
    }

    @Override
    public void commit(DatabaseConnection databaseConnection) throws SQLException {

    }

    @Override
    public void rollBack(DatabaseConnection databaseConnection) throws SQLException {

    }

    @Override
    public ConnectionSource getConnectionSource() {
        return null;
    }

    @Override
    public void setObjectFactory(ObjectFactory<Account> objectFactory) {

    }

    @Override
    public CloseableIterator<Account> closeableIterator() {
        return null;
    }
}
